Sign in

Create Account

POST https://{organization}.myguper.com/api/account/createAccount

Creates a new tenant account (organization) in the platform.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: json

{
    "account": "acme",
    "name": "Acme",
    "language": "en_US",
    "currency": "USD"
}

Responses

{
    "organization": "acme",
    "name": "ACME",
    "currency": "BRL",
    "createdAt": "2026-05-01T12:34:56-03:00"
}
Copied to clipboard